- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# FbxBindingOperator::FunctionRegistry Class Reference

Search for all occurrences

## Detailed Description

This utility class is used to register and unregister the binding function creators.

Definition at line 261 of file fbxbindingoperator.h.

`#include <fbxbindingoperator.h>`

List of all members.

## Static Public Member Functions
static void | RegisterFunctionCreator (FunctionCreatorBase const &pCreator)
| To register the binding function creator.
static void | UnregisterFunctionCreator (FunctionCreatorBase const &pCreator)
| To unregister the binding function creator.
static FunctionCreatorBase const * | FindCreator (char const *pName)
| To find the binding function creator by name.

## Member Function Documentation

static void RegisterFunctionCreator | ( | FunctionCreatorBase const & | pCreator | ) | `[inline, static]`

Search for all occurrences

To register the binding function creator.

Parameters:

  The | binding function creator to register.

Definition at line 267 of file fbxbindingoperator.h.

            {
                sRegistry.Insert(pCreator.GetFunctionName(), &pCreator);
            }

static void UnregisterFunctionCreator | ( | FunctionCreatorBase const & | pCreator | ) | `[inline, static]`

Search for all occurrences

To unregister the binding function creator.

Parameters:

  The | binding function creator to unregister.

Definition at line 275 of file fbxbindingoperator.h.

            {
                sRegistry.Remove(pCreator.GetFunctionName());
            }

static FunctionCreatorBase const* FindCreator | ( | char const * | pName | ) | `[inline, static]`

Search for all occurrences

To find the binding function creator by name.

Parameters:

  Name | of the operation function creator to find.

Definition at line 283 of file fbxbindingoperator.h.

            {
                RegistryType::RecordType* lRecord = sRegistry.Find(pName);

                if (lRecord)
                {
                    return lRecord->GetValue();
                }
                else
                {
                    return NULL;
                }
            }

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingoperator.h

FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry
FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry FbxBindingOperator::FunctionRegistry